DELETE /v3/user/addresses/:id — soft-delete
DELETE
/v3/user/addresses/{addressId}
const url = 'https://api-ha-prod-p8.handbid.dev/v3/user/addresses/%7B%7BaddressId%7D%7D';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api-ha-prod-p8.handbid.dev/v3/user/addresses/%7B%7BaddressId%7D%7D \ --header 'Authorization: Bearer <token>'NEW (HAN-2041, 2026-06-05). Soft-delete one of the authenticated user’s addresses (isDeleted=1). Auth required; self-scoped.
Response (204 No Content): empty body.
Errors:
422 validation_error— cannot delete the current primary; set another address primary first.404 not_found— id not owned / missing / already soft-deleted.401anonymous.
Side-effects: drops the address-list cache; async event.address ({action:"remove"}) to room:{usersGuid}.
Rate limit: userAddressDelete.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” addressId
required
string
AddressId from GET /v3/user/addresses.
Example
{{addressId}}Responses
Section titled “ Responses ”Successful response
Media type application/json